> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/cache/cachefilter.md).

# CacheFilter

This method creates a cache filter that can be used to operate on a cache instance and its keys.

The filter can be used to clear, get, or remove keys from the cache.

All filters must be adhere to the {@link ICacheKeyFilter} interface.

Example:

```
 cache().clear( cacheFilter( "foo*" ) );
 cache().clear( cacheFilter( ".*foo.*", true ) );

 You can also create your own custom cache filter by using a closure/lambda that
 accepts a {@code
 Key
 } and returns a boolean.

 Example:

  cache().clear( key -> key.getName().startsWith( "foo" ) ); cache().clear( key -> key.getName().matches( ".*foo.*" ) ); 
Method Signature
CacheFilter(filter=[string], useRegex=[boolean])
Arguments



























Examples
Filter cache entries by criteria
cachePut( "key1", "value1", 60 );cachePut( "key2", "value2", 60 );filtered = cacheFilter( ( key, entry ) => key == "key1" );writeOutput( filtered.len() );
Result: 1
Related





```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-language/reference/built-in-functions/cache/cachefilter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
